## libmediainfo 0.7.73

=== Project/CMake/CMakeLists.txt ===
project(MediaInfoLib)

cmake_minimum_required(VERSION 2.8.11)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

set(MediaInfoLib_MAJOR_VERSION 0)
set(MediaInfoLib_MINOR_VERSION 7)
set(MediaInfoLib_PATCH_VERSION 71)
set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION}.${MediaInfoLib_PATCH_VERSION})

if (NOT WIN32)
  option(BUILD_ZLIB "Build bundled zlib" OFF)
  option(BUILD_ZENLIB "Build bundled ZenLib" OFF)
else()
  option(BUILD_ZLIB "Build bundled zlib" ON)
  option(BUILD_ZENLIB "Build bundled ZenLib" ON)

  # FIXME: On Windows shared library is not compiling now.
  set(BUILD_SHARED_LIBS OFF)
endif()

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where library will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

if (NOT BUILD_ZENLIB)
  find_package(ZenLib REQUIRED)
else()
  set(_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})
  set(BUILD_SHARED_LIBS OFF)
  add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../../ZenLib/Project/CMake ${CMAKE_CURRENT_BINARY_DIR}/ZenLib)
  set(BUILD_SHARED_LIBS ${_BUILD_SHARED_LIBS})
  set(ZenLib_LIBRARY zen)
  unset(_BUILD_SHARED_LIBS)
  if(UNIX AND BUILD_SHARED_LIBS)
    target_compile_options(zen PRIVATE -fPIC)
  endif()
else()

endif()

if (NOT BUILD_ZLIB)
  find_package(ZLIB REQUIRED)
else()
  add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib ${CMAKE_CURRENT_BINARY_DIR}/zlib)
  get_target_property(ZLIB_LIBRARIES zlibstatic LOCATION)
  if(NOT BUILD_SHARED_LIBS)
    get_filename_component(ZLIB_LIBRARIES ${ZLIB_LIBRARIES} NAME)
    set(ZLIB_LIBRARIES "${LIB_INSTALL_DIR}/${ZLIB_LIBRARIES}")
  endif()
  if(UNIX AND BUILD_SHARED_LIBS)
    target_compile_options(zlibstatic PRIVATE -fPIC)
  endif()
  set(ZLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib)
endif()

if(NOT MSVC)
  set(MediaInfoLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/mediainfolib")
else()
  set(MediaInfoLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
endif()

set(MediaInfoLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)

# On Windows debug library should have 'd' postfix.
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
  set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

# use bundled tinyxml only if no system
find_package(TinyXML)

# use system curl if is present
find_package(CURL)

include_directories(${MediaInfoLib_SOURCES_PATH})
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/md5/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/base64/)
include_directories(${ZLIB_INCLUDE_DIRS})

set(MediaInfoLib_PUBLIC_HDRS
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Const.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Events.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfoDLL/MediaInfoDLL.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfoDLL/MediaInfoDLL_Static.h
)

set(MediaInfoLib_SRCS
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/md5/md5.c
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Streams.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Streams_Finish.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Base.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__MultipleParsing.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Duplicate.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Dummy.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Other.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Unknown.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_Automatic.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_MediaInfo.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_PerPackage.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_File.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Inform.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Internal.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList_Internal.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/TimeCode.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_7z.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Ace.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Bzip2.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Elf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Gzip.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Iso9660.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Mz.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Rar.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Tar.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Zip.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr_Ps.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_Main.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_Others.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ac3.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Adpcm.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Als.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ape.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Au.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Caf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Celt.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ChannelGrouping.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dts.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DolbyE.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ExtendedModule.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Flac.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ImpulseTracker.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_La.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Midi.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Module.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpc.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_MpcSv8.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpega.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_OpenMG.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Opus.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm_M2ts.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm_Vob.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ps2Audio.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Rkau.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ScreamTracker3.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0302.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0337.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0331.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Speex.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Tak.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Tta.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_TwinVQ.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Vorbis.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Wvpk.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate__Base.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate__Writer.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_EbuCore.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Mpeg7.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore2.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_reVTMD.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_ArriRaw.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Bmp.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Bpg.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Dds.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Dpx.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Exr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Gif.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Ico.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Jpeg.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Pcx.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Png.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Psd.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Rle.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tiff.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tga.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Resource.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Sequence.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Aaf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ancillary.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Bdmv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Cdxa.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DashMpd.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpAm.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpCpl.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpPkl.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dpg.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif_Analysis.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dvdv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dxw.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Flv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Gxf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_HdsF4m.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Hls.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Gxf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Gxf_TimeCode.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ibi.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ibi_Creation.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ism.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ivf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Lxf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Mk.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Mpeg4.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Mpeg4_Descriptors.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Mpeg4_Elements.cpp

=== debian/changelog ===
libmediainfo (0.7.73-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Make libmediainfo-dev depend on zlib1g-dev, to match its .pc file.
  * Update symbols files for GCC 5. Closes: #792496.
  * Rename libmediainfo0 to libmediainfo0v5, add conflicts and replaces
    to the old version. Closes: #791139.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jul 2015 11:37:46 +0200

libmediainfo (0.7.73-1) experimental; urgency=medium

  * [1e716cb] Imported Upstream version 0.7.73

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 19 Apr 2015 20:27:33 +0800

libmediainfo (0.7.71-1) experimental; urgency=medium

  * [9216dfe] Imported Upstream version 0.7.71
  * [6a04eea] No-change bump of Standards-Version to 3.9.6

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 22 Nov 2014 17:04:33 +0800

libmediainfo (0.7.70-1ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:20:46 +0000

libmediainfo (0.7.70-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Make libmediainfo-dev depend on zlib1g-dev, to match its .pc file.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Nov 2014 15:57:20 +0000

=== debian/control ===
Source: libmediainfo
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               python-all (>= 2.6.6-3~),
               python3-all,
               dh-autoreconf,
               doxygen,
               tofrodos,
               libzen-dev (>= 0.4.25),
               libtinyxml2-dev,
               libcurl4-gnutls-dev,
               libmms-dev,
               libglib2.0-dev,
               zlib1g-dev,
               pkg-config
Standards-Version: 3.9.6
Section: libs
Homepage: http://MediaArea.net/MediaInfo
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libmediainfo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmediainfo.git

Package: libmediainfo-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen-dev,
         zlib1g-dev,
         libmediainfo0v5 (= ${binary:Version}),
         ${misc:Depends}
Description: library reading metadata from media files -- headers
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the headers and other development support files needed
 for compiling and linking applications and libraries which use this library.

Package: libmediainfo0v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmediainfo0
Replaces: libmediainfo0
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: python-mediainfodll
Section: python
Architecture: all
Depends: ${python:Depends}, libmediainfo0v5 (>= ${source:Version}),
         ${misc:Depends}
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Python 2.x module required for using this library
 from Python 2.x applications.

Package: python3-mediainfodll
Section: python
Architecture: all
Depends: ${python3:Depends}, libmediainfo0v5 (>= ${source:Version}),
         ${misc:Depends}
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Python 3.x module required for using this library
 from Python 3.x applications.

Package: libmediainfo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for reading metadata from media files -- documentation
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.

## libmediainfo 0.7.82

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(MediaInfoLib_MAJOR_VERSION 0)
 set(MediaInfoLib_MINOR_VERSION 7)
-set(MediaInfoLib_PATCH_VERSION 71)
+set(MediaInfoLib_PATCH_VERSION 82)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION}.${MediaInfoLib_PATCH_VERSION})
 
 if (NOT WIN32)
@@ -88,6 +88,10 @@
 include_directories(${MediaInfoLib_SOURCES_PATH})
 include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/md5/)
 include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/base64/)
+include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/)
+include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha1-gladman/)
+include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha2-gladman/)
+include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/)
 include_directories(${ZLIB_INCLUDE_DIRS})
 
 set(MediaInfoLib_PUBLIC_HDRS
@@ -101,6 +105,14 @@
 
 set(MediaInfoLib_SRCS
   ${MediaInfoLib_SOURCES_PATH}/ThirdParty/md5/md5.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aes_modes.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aescrypt.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aeskey.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aestab.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha1-gladman/sha1.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha2-gladman/sha2.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/hmac.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/pwd2key.c
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
@@ -112,6 +124,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Dummy.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Other.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Unknown.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/HashWrapper.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_Automatic.cpp
@@ -181,6 +194,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate__Writer.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_EbuCore.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Fims.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Mpeg7.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore2.cpp
@@ -217,17 +231,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dvdv.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dxw.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Flv.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Gxf.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_HdsF4m.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Hls.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Gxf.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Gxf_TimeCode.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ibi.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ibi_Creation.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ism.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ivf.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Lxf.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Mk.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Mpeg4.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Mpeg4_Descriptors.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Mpeg4_Elements.cpp

=== debian/changelog ===
libmediainfo (0.7.82-1) unstable; urgency=medium

  * [c05d1e9] Imported Upstream version 0.7.82

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 01 Feb 2016 00:33:00 +0800

libmediainfo (0.7.81-1) unstable; urgency=medium

  * [a7e9d64] Imported Upstream version 0.7.81

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Jan 2016 02:36:11 +0800

libmediainfo (0.7.80-1) unstable; urgency=medium

  * [e2bc882] Update debian/watch
  * [0d2bf67] Imported Upstream version 0.7.80
  * [a63dec9] Make libmediainfo-dev depend on zlib1g-dev, to match its .pc file.
    Thanks to Colin Watson <cjwatson@ubuntu.com>

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 06 Dec 2015 18:34:16 +0800

libmediainfo (0.7.79-1) unstable; urgency=medium

  * [6981e8f] Imported Upstream version 0.7.79

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 05 Nov 2015 17:19:17 +0800

libmediainfo (0.7.78-1) unstable; urgency=medium

  * [7f97128] Imported Upstream version 0.7.78

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 05 Oct 2015 02:45:38 +0800

libmediainfo (0.7.77-1) unstable; urgency=medium

  * [0808a61] Imported Upstream version 0.7.77

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 19 Sep 2015 22:07:33 +0800

libmediainfo (0.7.76-2) unstable; urgency=medium

  * [e480a9e] Update Vcs-*

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Aug 2015 15:19:01 +0800

libmediainfo (0.7.76-1) experimental; urgency=medium

  * [7532c81] Imported Upstream version 0.7.76
  * [65c179b] Rename package to libmediainfo0v5 for GCC migration
    (Closes: #792496, #791139)
  * [dc1eaf1] Update symbols

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 18 Aug 2015 11:33:46 +0800

libmediainfo (0.7.75-1) unstable; urgency=medium

  * [54b9166] Imported Upstream version 0.7.75
  * [3533a6e] Refresh patches and drop upstreamed ones

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 03 Jul 2015 17:53:47 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libmediainfo
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
+Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                python-all (>= 2.6.6-3~),
@@ -19,8 +18,8 @@
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://MediaArea.net/MediaInfo
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/libmediainfo.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmediainfo.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmediainfo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmediainfo.git
 
 Package: libmediainfo-dev
 Section: libdevel
@@ -57,8 +56,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libmediainfo0
 Conflicts: libmediainfo0
-Replaces: libmediainfo0
 Description: library for reading metadata from media files -- shared library
  MediaInfo is a library used for retrieving technical information and other
  metadata about audio or video files.

## libmediainfo 0.7.85

=== debian/changelog ===
libmediainfo (0.7.85-1b1) staging; urgency=high

  * No-change rebuild against libtinyxml2-3

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 15 Jun 2016 12:20:02 +0000

libmediainfo (0.7.85-1) unstable; urgency=medium

  * [aa56777] Imported Upstream version 0.7.85
  * [3e687cd] Bump Standards-Version to 3.9.8

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 02 May 2016 23:57:02 +0800

libmediainfo (0.7.84-1) unstable; urgency=medium

  * [d7f0851] Imported Upstream version 0.7.84
  * [e45cac0] Bump Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 09 Apr 2016 21:14:24 +0800

libmediainfo (0.7.83-1) unstable; urgency=medium

  * [975f2cb] Imported Upstream version 0.7.83

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 05 Mar 2016 02:12:51 +0800

## libmediainfo 0.7.88

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(MediaInfoLib_MAJOR_VERSION 0)
 set(MediaInfoLib_MINOR_VERSION 7)
-set(MediaInfoLib_PATCH_VERSION 82)
+set(MediaInfoLib_PATCH_VERSION 88)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION}.${MediaInfoLib_PATCH_VERSION})
 
 if (NOT WIN32)
@@ -116,6 +116,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Element.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Streams.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Streams_Finish.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Base.cpp
@@ -230,4 +231,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif_Analysis.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dvdv.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dxw.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Flv.cpp

=== debian/changelog ===
libmediainfo (0.7.88-1) unstable; urgency=medium

  * [4017389] Imported Upstream version 0.7.88

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 01 Sep 2016 23:06:29 +0800

libmediainfo (0.7.87-1) unstable; urgency=medium

  * [36d49df] Imported Upstream version 0.7.87

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 28 Aug 2016 20:09:22 +0800

## libmediainfo 0.7.91

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(MediaInfoLib_MAJOR_VERSION 0)
 set(MediaInfoLib_MINOR_VERSION 7)
-set(MediaInfoLib_PATCH_VERSION 88)
+set(MediaInfoLib_PATCH_VERSION 91)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION}.${MediaInfoLib_PATCH_VERSION})
 
 if (NOT WIN32)

=== debian/changelog ===
libmediainfo (0.7.91-1) unstable; urgency=medium

  * [ecf80f2] Imported Upstream version 0.7.91

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 01 Dec 2016 23:46:26 +0800

libmediainfo (0.7.90-1) UNRELEASED; urgency=medium

  * [f0746c3] Imported Upstream version 0.7.90

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 01 Dec 2016 23:15:02 +0800

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libglib2.0-dev,
                zlib1g-dev,
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://MediaArea.net/MediaInfo
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmediainfo.git

## libmediainfo 0.7.98

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(MediaInfoLib_MAJOR_VERSION 0)
 set(MediaInfoLib_MINOR_VERSION 7)
-set(MediaInfoLib_PATCH_VERSION 91)
+set(MediaInfoLib_PATCH_VERSION 98)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION}.${MediaInfoLib_PATCH_VERSION})
 
 if (NOT WIN32)
@@ -45,8 +45,6 @@
   if(UNIX AND BUILD_SHARED_LIBS)
     target_compile_options(zen PRIVATE -fPIC)
   endif()
-else()
-
 endif()
 
 if (NOT BUILD_ZLIB)
@@ -112,7 +110,6 @@
   ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha1-gladman/sha1.c
   ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha2-gladman/sha2.c
   ${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/hmac.c
-  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/pwd2key.c
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
@@ -231,3 +228,4 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif_Analysis.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dvdv.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dxw.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Flv.cpp

=== debian/changelog ===
libmediainfo (0.7.98-2) unstable; urgency=medium

  * [0e555fd] Let libmediainfo-dev depend on libcurl4-gnutls-dev
    libmediainfo.pc now requires libcurl.pc.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 16 Aug 2017 00:24:25 +0800

libmediainfo (0.7.98-1) unstable; urgency=medium

  * [3bb6633] New upstream version 0.7.98

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 12 Aug 2017 13:10:29 +0800

libmediainfo (0.7.97-1) unstable; urgency=medium

  * [69e967e] New upstream version 0.7.97

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 10 Jul 2017 00:50:06 +0800

libmediainfo (0.7.96-1) experimental; urgency=medium

  * [0ba2d96] New upstream version 0.7.96

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 04 Jun 2017 01:04:25 +0800

libmediainfo (0.7.95-1) experimental; urgency=medium

  * [346a4b2] New upstream version 0.7.95

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 08 May 2017 01:24:59 +0800

libmediainfo (0.7.94-1) experimental; urgency=medium

  * [73cecf2] Imported Upstream version 0.7.94

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 06 Apr 2017 00:25:59 +0800

libmediainfo (0.7.93-1) experimental; urgency=medium

  * [3c8b82f] Imported Upstream version 0.7.93

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 03 Mar 2017 15:19:35 +0800

libmediainfo (0.7.92.1-1) experimental; urgency=medium

  * [fba8cc9] Imported Upstream version 0.7.92.1

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 03 Feb 2017 01:25:03 +0800

libmediainfo (0.7.92-1) experimental; urgency=medium

  * [827293b] Imported Upstream version 0.7.92

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 02 Feb 2017 02:13:42 +0800

## libmediainfo 0.7.99

=== debian/changelog ===
libmediainfo (0.7.99-1) experimental; urgency=medium

  * Upstream version 0.7.99
    For details, see https://github.com/MediaArea/MediaInfoLib/blob/master/History_DLL.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

## libmediainfo 17.12

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,16 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
-set(MediaInfoLib_MAJOR_VERSION 0)
-set(MediaInfoLib_MINOR_VERSION 7)
-set(MediaInfoLib_PATCH_VERSION 98)
-set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION}.${MediaInfoLib_PATCH_VERSION})
+set(MediaInfoLib_MAJOR_VERSION 17)
+set(MediaInfoLib_MINOR_VERSION 12)
+set(MediaInfoLib_PATCH_VERSION 0)
+set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
+
+if (MediaInfoLib_PATCH_VERSION)
+  set(MediaInfoLib_VERSION ${MediaInfoLib_VERSION}.${MediaInfoLib_PATCH_VERSION})
+endif()
+
+set(MediaInfoLib_SOVERSION 0)
 
 if (NOT WIN32)
   option(BUILD_ZLIB "Build bundled zlib" OFF)
@@ -119,6 +125,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Base.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__MultipleParsing.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Duplicate.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__HasReferences.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Dummy.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Other.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Unknown.cpp
@@ -226,6 +233,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dpg.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif_Analysis.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dvdv.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dxw.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Flv.cpp

=== debian/changelog ===
libmediainfo (17.12-1build1) bionic; urgency=medium

  * No-change rebuild for tinyxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 06:35:29 +0000

libmediainfo (17.12-1) unstable; urgency=medium

  * [4fd16b7] New upstream version 17.12

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 19 Jan 2018 22:51:24 +0800

libmediainfo (17.10-1) unstable; urgency=medium

  * [f85aa8c] New upstream version 17.10

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 04 Nov 2017 00:20:49 +0800

libmediainfo (0.7.99-1) unstable; urgency=medium

  * [da60d45] New upstream version 0.7.99

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 16 Sep 2017 09:50:26 +0800

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libzen-dev,
+         libcurl4-gnutls-dev,
          zlib1g-dev,
          libmediainfo0v5 (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# shared library versions
version = $(DEB_VERSION_UPSTREAM)

override_dh_auto_configure:
	dh_auto_configure -DProject/GNU/Library --	\
		--enable-shared				\
		--enable-visibility			\
		--with-libcurl				\
		--with-libmms				\
		--with-libtinyxml2			\
		--without-libmd5

override_dh_auto_build:
	cd Source/Doc && doxygen Doxyfile
	cp Source/Doc/*.html ./
	dh_auto_build -DProject/GNU/Library

override_dh_auto_install:
	dh_auto_install -DProject/GNU/Library
	for py in $(shell pyversions -vr); do												\
		install -D -m644 Source/MediaInfoDLL/MediaInfoDLL.py debian/tmp/usr/lib/python$$py/dist-packages/MediaInfoDLL.py;	\
	done
	for py3 in $(shell py3versions -vr); do												\
		install -D -m644 Source/MediaInfoDLL/MediaInfoDLL3.py debian/tmp/usr/lib/python$$py3/dist-packages/MediaInfoDLL3.py;	\
	done
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	sed -e 's|Version: |Version: $(version)|g' Project/GNU/Library/libmediainfo.pc > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libmediainfo.pc

override_dh_auto_clean:
	dh_auto_clean -DProject/GNU/Library

	rm -rf Doc/
	(cd Source/Doc && find -maxdepth 1 -name '*.html' -print0) | xargs -0 rm -f

override_dh_installchangelogs:
	dh_installchangelogs Changes.txt
	fromdos debian/*/usr/share/doc/*/changelog

override_dh_installexamples:
	dh_installexamples
	if dh_listpackages | grep -q libmediainfo-doc; then					\
		chmod 0644 debian/libmediainfo-doc/usr/share/doc/libmediainfo-doc/examples/*;	\
	fi

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

%:
	dh $@ --with=autoreconf,python2,python3 --parallel

=== debian/watch ===
version=3

https://mediaarea.net/download/source/libmediainfo/([0-9.]+)/libmediainfo_([0-9.]+).tar.gz

## libmediainfo 18.03.1

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
-set(MediaInfoLib_MAJOR_VERSION 17)
-set(MediaInfoLib_MINOR_VERSION 12)
-set(MediaInfoLib_PATCH_VERSION 0)
+set(MediaInfoLib_MAJOR_VERSION 18)
+set(MediaInfoLib_MINOR_VERSION 03)
+set(MediaInfoLib_PATCH_VERSION 1)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
 if (MediaInfoLib_PATCH_VERSION)

=== debian/changelog ===
libmediainfo (18.03.1-1ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read.
    - debian/patches/CVE-2019-11372_CVE-2019-11373_1.patch: AVI: fix crash with
      some invalid streams.
    - debian/patches/CVE-2019-11372_CVE-2019-11373_2.patch: SMPTE ST 337: fix
      crash with some invalid streams.
    - CVE-2019-11372
    - CVE-2019-11373

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 08 May 2019 11:47:51 -0300

libmediainfo (18.03.1-1build1) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:00:47 +0200

libmediainfo (18.03.1-1) unstable; urgency=medium

  * [49cdbdd] New upstream version 18.03.1
  * [d0d587c] Build-dep on dh-python

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 16 Apr 2018 23:00:18 +0800

libmediainfo (18.03-2) unstable; urgency=medium

  * [d30b1b3] Update Vcs URLs for port to salsa

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 28 Mar 2018 01:53:47 +0800

libmediainfo (18.03-1) unstable; urgency=medium

  * [7dda1ee] New upstream version 18.03

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 22 Mar 2018 04:08:55 +0800

## libmediainfo 18.05

=== debian/changelog ===
libmediainfo (18.05-1) experimental; urgency=medium

  * Upstream version 18.05
    For details, see https://github.com/MediaArea/MediaInfoLib/blob/master/History_DLL.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

## libmediainfo 18.12

=== debian/changelog ===
libmediainfo (18.12-2) unstable; urgency=medium

  * [c030466] Backport fix for CVE-2019-11372 CVE-2019-11373 (Closes: #927672)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 06 Jun 2019 11:18:32 +0800

libmediainfo (18.12-1) unstable; urgency=medium

  * [92aabc0] New upstream version 18.12

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Dec 2018 02:40:36 +0800

libmediainfo (18.08.1-1) unstable; urgency=medium

  * [3fcbfb4] New upstream version 18.08.1

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 15 Oct 2018 22:20:30 +0800

libmediainfo (18.05-1) unstable; urgency=medium

  * [a3533b8] New upstream version 18.05

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 12 May 2018 02:53:26 +0800

libmediainfo (18.03.1-2) UNRELEASED; urgency=medium

  * d/copyright: Use https protocol in Format field

 -- Ondřej Nový <onovy@debian.org>  Wed, 25 Apr 2018 10:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
                dpkg-dev (>= 1.16.1),
                python-all (>= 2.6.6-3~),
                python3-all,
+               dh-python,
                dh-autoreconf,
                doxygen,
                tofrodos,
@@ -18,8 +19,8 @@
 Standards-Version: 3.9.8
 Section: libs
 Homepage: http://MediaArea.net/MediaInfo
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmediainfo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmediainfo.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libmediainfo
+Vcs-Git: https://salsa.debian.org/multimedia-team/libmediainfo.git
 
 Package: libmediainfo-dev
 Section: libdevel

## libmediainfo 18.12.2

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 18)
-set(MediaInfoLib_MINOR_VERSION 03)
-set(MediaInfoLib_PATCH_VERSION 1)
+set(MediaInfoLib_MINOR_VERSION 12)
+set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
 if (MediaInfoLib_PATCH_VERSION)
@@ -36,8 +36,10 @@
   "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
   IMMEDIATE @ONLY)
 
-add_custom_target(uninstall
-  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
+if(NOT TARGET uninstall)
+    add_custom_target(uninstall
+   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
+endif()
 
 if (NOT BUILD_ZENLIB)
   find_package(ZenLib REQUIRED)
@@ -65,7 +67,7 @@
   if(UNIX AND BUILD_SHARED_LIBS)
     target_compile_options(zlibstatic PRIVATE -fPIC)
   endif()
-  set(ZLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib)
+  set(ZLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib ${CMAKE_CURRENT_BINARY_DIR}/zlib)
 endif()
 
 if(NOT MSVC)
@@ -167,6 +169,8 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Caf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Celt.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ChannelGrouping.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsdiff.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dts.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DolbyE.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ExtendedModule.cpp
@@ -199,6 +203,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate__Writer.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_EbuCore.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Niso.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Fims.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Mpeg7.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore.cpp
@@ -229,7 +234,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DashMpd.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpAm.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpCpl.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpPkl.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dpg.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif_Analysis.cpp

=== debian/changelog ===
libmediainfo (18.12.2-1+security) unstable; urgency=medium

  * update

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 16 Apr 2021 14:49:14 +0800

libmediainfo (18.12.1-1+dde) unstable; urgency=medium

  * uos sw64 porting

 -- deepin/sw64 team <sunway@deepin.com>  Wed, 10 Feb 2021 11:41:27 +0800

## libmediainfo 18.12.3

=== debian/changelog ===
libmediainfo (18.12.3-1+deepin) unstable; urgency=medium

  * fix CVE-2020-15395 and CVE-2020-26797.

 -- dinghao <dinghao@uniontech.com>  Mon, 31 Oct 2022 11:04:39 +0800

## libmediainfo 19.04+dfsg

=== debian/changelog ===
libmediainfo (19.04+dfsg-1) experimental; urgency=medium

  * [b66ebc0] New upstream version 19.04:
    - Fixes CVE-2019-11372 and CVE-2019-11373 (Closes: #927672)
  * [a168b74] Drop pre-compiled binary in source tarball
  * [c4c1be6] Add +dfsg bits to debian/watch
  * [5bdc58e] New upstream version 19.04+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 04 Jun 2019 17:28:55 +0800

## libmediainfo 19.09%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libmediainfo
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 9),
                dpkg-dev (>= 1.16.1),
-               python-all (>= 2.6.6-3~),
                python3-all,
                dh-python,
                dh-autoreconf,
@@ -16,7 +15,7 @@
                libglib2.0-dev,
                zlib1g-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
 Section: libs
 Homepage: http://MediaArea.net/MediaInfo
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libmediainfo
@@ -82,33 +81,6 @@
  This package contains the shared library needed for running applications which
  use this library.
 
-Package: python-mediainfodll
-Section: python
-Architecture: all
-Depends: ${python:Depends}, libmediainfo0v5 (>= ${source:Version}),
-         ${misc:Depends}
-Description: library for reading metadata from media files -- shared library
- MediaInfo is a library used for retrieving technical information and other
- metadata about audio or video files.
- .
- A non-exhaustive list of the information MediaInfo can retrieve from media
- files include:
-  - General: title, author, director, album, track number, date, duration...
-  - Video: codec, aspect, fps, bitrate...
-  - Audio: codec, sample rate, channels, language, bitrate...
-  - Text: language of subtitle
-  - Chapters: number of chapters, list of chapters
- .
- MediaInfo supports the following formats:
-  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
-           MPEG-4, DVD (VOB)...
-  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
-  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
-  - Subtitles: SRT, SSA, ASS, SAMI...
- .
- This package contains the Python 2.x module required for using this library
- from Python 2.x applications.
-
 Package: python3-mediainfodll
 Section: python
 Architecture: all
